## org.apache.lucene.store.db
Class DbIndexOutput

    java.lang.Object
      org.apache.lucene.store.IndexOutput
          org.apache.lucene.store.db.DbIndexOutput

    public class DbIndexOutput

extends IndexOutput

Author:
  Andi Vajda

Field Summary
`protected Block` `block`
`static int` `BLOCK_LEN`
`static int` `BLOCK_MASK`
`static int` `BLOCK_SHIFT` The size of data blocks, currently 16k (2^14), is determined by this constant.
`protected DbDirectory` `directory`
`protected File` `file`
`protected long` `length`
`protected long` `position`

Constructor Summary
`protected` `DbIndexOutput(DbDirectory directory, String name, boolean create)`

Method Summary
`void` `close()`
`void` `flush()`
`long` `getFilePointer()`
`long` `length()`
`void` `seek(long pos)`
`void` `writeByte(byte b)`
`void` `writeBytes(byte[] b, int offset, int len)`

Methods inherited from class org.apache.lucene.store.IndexOutput
`copyBytes, writeBytes, writeChars, writeChars, writeInt, writeLong, writeString, writeVInt, writeVLong`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BLOCK_SHIFT

    public static final int BLOCK_SHIFT

  The size of data blocks, currently 16k (2^14), is determined by this constant.

  See Also:
    Constant Field Values

### BLOCK_LEN

    public static final int BLOCK_LEN

See Also:
  Constant Field Values

### BLOCK_MASK

    public static final int BLOCK_MASK

See Also:
  Constant Field Values

### position

    protected long position

### length

    protected long length

### directory

    protected DbDirectory directory

### block

    protected Block block

### file

    protected File file

Constructor Detail

### DbIndexOutput

    protected DbIndexOutput(DbDirectory directory,
                            String name,
                            boolean create)
                     throws IOException

Throws:
  `IOException`

Method Detail

### close

    public void close()
               throws IOException

  Specified by:
    `close` in class `IndexOutput`
  Throws:
    `IOException`

### flush

    public void flush()
               throws IOException

  Specified by:
    `flush` in class `IndexOutput`
  Throws:
    `IOException`

### writeByte

    public void writeByte(byte b)
                   throws IOException

  Specified by:
    `writeByte` in class `IndexOutput`
  Throws:
    `IOException`

### writeBytes

    public void writeBytes(byte[] b,
                           int offset,
                           int len)
                    throws IOException

  Specified by:
    `writeBytes` in class `IndexOutput`
  Throws:
    `IOException`

### length

    public long length()
                throws IOException

  Specified by:
    `length` in class `IndexOutput`
  Throws:
    `IOException`

### seek

    public void seek(long pos)
              throws IOException

  Specified by:
    `seek` in class `IndexOutput`
  Throws:
    `IOException`

### getFilePointer

    public long getFilePointer()

  Specified by:
    `getFilePointer` in class `IndexOutput`

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.